Name:      libdatrie
Version:   0.2.4
Release:   1
Summary:   An Implementation of Double-Array Trie

Group:     Development/Libraries
License:   LGPLv2.1+
URL:       http://linux.thai.net/~thep/datrie/datrie.html
Source0:   ftp://linux.thai.net/pub/ThaiLinux/software/libthai/libdatrie-0.2.4.tar.gz
Patch0:    libdatrie-0.2.4-alphamapcpp.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: doxygen

%description
This is an implementation of double-array structure for representing trie.
Trie is a kind of digital search tree, an efficient indexing method with 
O(1) time complexity for searching. Comparably as efficient as hashing,
trie also provides flexibility on incremental matching and key spelling
manipulation. This makes it ideal for lexical analyzers, as well as spelling
dictionaries.

%prep
%setup -q
%patch0 -p1 -b .alphamapcpp

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libdatrie.so.1*

%package     devel
Summary:     Development files for libdatrie
Group:       Development/Libraries
Requires:    libdatrie
%description devel
Headers, libraries and utilities for software developers, using libdatrie.
%files devel
%{_bindir}/trietool-0.2
%{_includedir}/datrie/
%{_libdir}/libdatrie.a
%{_libdir}/libdatrie.la
%{_libdir}/libdatrie.so
%{_libdir}/pkgconfig/datrie-0.2.pc

%package   doc
Summary:   Documentation files for libdatrie
Group:     Development/Libraries
BuildArch: noarch
Requires:  libdatrie
%description doc
Documentation files for libdatrie.
%files doc
%{_datadir}/doc/datrie/
%{_datadir}/doc/libdatrie/
%{_datadir}/man/man1/trietool-0.2.1.gz

%changelog
* Sun Aug 28 2011 Aurimas Cernius <aurisc4@gmail.com> 0.2.4-1
- Initial version.
